SelectorContainer (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.types.selectors, interface: SelectorContainer

Package org.apache.tools.ant.types.selectors

# Interface SelectorContainer

All Known Implementing Classes:
  `AbstractFileSet`, `AbstractSelectorContainer`, `AndSelector`, `ArchiveFileSet`, `BaseSelectorContainer`, `BCFileSet`, `Cab`, `Checksum`, `ClassfileSet`, `Copydir`, `Delete`, `Depend`, `DependSet`, `DirSet`, `Ear`, `EjbJar`, `Files`, `FileSet`, `FixCRLF`, `Image`, `ImageIOTask`, `IsFileSelected`, `Jar`, `Javac`, `Javadoc.TagArgument`, `JlinkTask`, `JspC`, `LibFileSet`, `MajoritySelector`, `MatchingTask`, `MultiRootFileSet`, `Native2Ascii`, `NetRexxC`, `NoneSelector`, `NotSelector`, `OrSelector`, `RenameExtensions`, `Replace`, `Rmic`, `SelectSelector`, `Sync.SyncTarget`, `Tar`, `Tar.TarFileSet`, `TarFileSet`, `Translate`, `War`, `WLJspc`, `XSLTProcess`, `Zip`, `ZipFileSet`

public interface SelectorContainer
This is the interface for selectors that can contain other selectors.

Since:
  1.5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(FileSelector selector)`
  add an arbitrary selector
  `void`
  `addAnd(AndSelector selector)`
  add an "And" selector entry on the selector list
  `void`
  `addContains(ContainsSelector selector)`
  add a contains selector entry on the selector list
  `void`
  `addContainsRegexp(ContainsRegexpSelector selector)`
  add a regular expression selector entry on the selector list
  `void`
  `addCustom(ExtendSelector selector)`
  add an extended selector entry on the selector list
  `void`
  `addDate(DateSelector selector)`
  add a selector date entry on the selector list
  `void`
  `addDepend(DependSelector selector)`
  add a depends selector entry on the selector list
  `void`
  `addDepth(DepthSelector selector)`
  add a depth selector entry on the selector list
  `void`
  `addDifferent(DifferentSelector selector)`
  add the different selector
  `void`
  `addFilename(FilenameSelector selector)`
  add a selector filename entry on the selector list
  `void`
  `addMajority(MajoritySelector selector)`
  add a majority selector entry on the selector list
  `void`
  `addModified(ModifiedSelector selector)`
  add the modified selector
  `void`
  `addNone(NoneSelector selector)`
  add a "None" selector entry on the selector list
  `void`
  `addNot(NotSelector selector)`
  add a "Not" selector entry on the selector list
  `void`
  `addOr(OrSelector selector)`
  add an "Or" selector entry on the selector list
  `void`
  `addPresent(PresentSelector selector)`
  add a present selector entry on the selector list
  `void`
  `addSelector(SelectSelector selector)`
  add a "Select" selector entry on the selector list
  `void`
  `addSize(SizeSelector selector)`
  add a selector size entry on the selector list
  `void`
  `addType(TypeSelector selector)`
  add the type selector
  `void`
  `appendSelector(FileSelector selector)`
  Add a new selector into this container.
  `FileSelector[]`
  `getSelectors(Project p)`
  Returns the set of selectors as an array.
  `boolean`
  `hasSelectors()`
  Indicates whether there are any selectors here.
  `int`
  `selectorCount()`
  Gives the count of the number of selectors in this container
  `Enumeration<FileSelector>`
  `selectorElements()`
  Returns an enumerator for accessing the set of selectors.

- ## Method Details

  - ### hasSelectors

    boolean hasSelectors()
    Indicates whether there are any selectors here.
    Returns:
      whether any selectors are in this container

  - ### selectorCount

    int selectorCount()
    Gives the count of the number of selectors in this container
    Returns:
      the number of selectors in this container

  - ### getSelectors

    FileSelector[] getSelectors(Project p)
    Returns the set of selectors as an array.
    Parameters:
      `p` - the current project
    Returns:
      an array of selectors in this container

  - ### selectorElements

    Enumeration<FileSelector> selectorElements()
    Returns an enumerator for accessing the set of selectors.
    Returns:
      an enumerator that goes through each of the selectors

  - ### appendSelector

    void appendSelector(FileSelector selector)
    Add a new selector into this container.
    Parameters:
      `selector` - the new selector to add

  - ### addSelector

    void addSelector(SelectSelector selector)
    add a "Select" selector entry on the selector list
    Parameters:
      `selector` - the selector to add

  - ### addAnd

    void addAnd(AndSelector selector)
    add an "And" selector entry on the selector list
    Parameters:
      `selector` - the selector to add

  - ### addOr

    void addOr(OrSelector selector)
    add an "Or" selector entry on the selector list
    Parameters:
      `selector` - the selector to add

  - ### addNot

    void addNot(NotSelector selector)
    add a "Not" selector entry on the selector list
    Parameters:
      `selector` - the selector to add

  - ### addNone

    void addNone(NoneSelector selector)
    add a "None" selector entry on the selector list
    Parameters:
      `selector` - the selector to add

  - ### addMajority

    void addMajority(MajoritySelector selector)
    add a majority selector entry on the selector list
    Parameters:
      `selector` - the selector to add

  - ### addDate

    void addDate(DateSelector selector)
    add a selector date entry on the selector list
    Parameters:
      `selector` - the selector to add

  - ### addSize

    void addSize(SizeSelector selector)
    add a selector size entry on the selector list
    Parameters:
      `selector` - the selector to add

  - ### addFilename

    void addFilename(FilenameSelector selector)
    add a selector filename entry on the selector list
    Parameters:
      `selector` - the selector to add

  - ### addCustom

    void addCustom(ExtendSelector selector)
    add an extended selector entry on the selector list
    Parameters:
      `selector` - the selector to add

  - ### addContains

    void addContains(ContainsSelector selector)
    add a contains selector entry on the selector list
    Parameters:
      `selector` - the selector to add

  - ### addPresent

    void addPresent(PresentSelector selector)
    add a present selector entry on the selector list
    Parameters:
      `selector` - the selector to add

  - ### addDepth

    void addDepth(DepthSelector selector)
    add a depth selector entry on the selector list
    Parameters:
      `selector` - the selector to add

  - ### addDepend

    void addDepend(DependSelector selector)
    add a depends selector entry on the selector list
    Parameters:
      `selector` - the selector to add

  - ### addContainsRegexp

    void addContainsRegexp(ContainsRegexpSelector selector)
    add a regular expression selector entry on the selector list
    Parameters:
      `selector` - the selector to add

  - ### addType

    void addType(TypeSelector selector)
    add the type selector
    Parameters:
      `selector` - the selector to add
    Since:
      ant 1.6

  - ### addDifferent

    void addDifferent(DifferentSelector selector)
    add the different selector
    Parameters:
      `selector` - the selector to add
    Since:
      ant 1.6

  - ### addModified

    void addModified(ModifiedSelector selector)
    add the modified selector
    Parameters:
      `selector` - the selector to add
    Since:
      ant 1.6

  - ### add

    void add(FileSelector selector)
    add an arbitrary selector
    Parameters:
      `selector` - the selector to add
    Since:
      Ant 1.6